<mat-card (click)="viewCard()" [class.clickable]="card">
    <mat-card-title [class.new-card]="!card">
        <app-content-editable [value]="card?.name" (save)="save($event)">
            <ng-container *ngIf="card; else addIcon">
                <span>{{card.name}}</span>
            </ng-container>
            <ng-template #addIcon>
                <mat-icon>add_circle_outline</mat-icon>
            </ng-template>
        </app-content-editable>
        <ng-container *ngIf="card">
            <button mat-icon-button [matMenuTriggerFor]="menu" (click)="stopPropagation($event)">
                <mat-icon>more_vert</mat-icon>
            </button>
            <mat-menu #menu="matMenu">
                <button mat-menu-item (click)="viewCard()">
                    <mat-icon>visibility</mat-icon>
                    <span>Visualiser</span>
                </button>
                <button mat-menu-item (click)="removeCard()">
                    <mat-icon>delete</mat-icon>
                    <span>Supprimer</span>
                </button>
            </mat-menu>
        </ng-container>
    </mat-card-title>
    <mat-card-content *ngIf="card">
        <ng-container *ngFor="let customField of ($customFields | async)">
            <div class="field border p-2 mb-1">
                <span class="field-label">{{customField.label}}</span>
                <span class="flex-spacer"></span>
                <span class="field-value">{{card.customFieldValues[customField.id!] || 'N/A'}}</span>
            </div>
        </ng-container>
    </mat-card-content>
</mat-card>
